#
# spec file for package crash (Version 4.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           crash
URL:            http://people.redhat.com/anderson/
Summary:        crash utility for live systems; netdump, diskdump, LKCD or mcore dumpfiles
Version:        4.0
Release:        25.4
License:        LGPL
Group:          Development/Tools/Debuggers
Source:         %{name}-%{version}-2.18.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         num_cpus.diff
Patch3:         s390-ptregs
Patch4:         crash-18-19.diff
Patch5:         crash-19-21.diff
Patch6:         crash-21-22.diff
Patch7:         crash-22-23.diff
Patch8:         crash-version-check.diff

%description
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump and diskdump packages from Red Hat Linux, the mcore kernel
patch offered by Mission Critical Linux, or the LKCD kernel patch.



Authors:
--------
    David Anderson <anderson@redhat.com>

%debug_package
%prep
%setup -q -n %{name}-%{version}-2.18
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch0 -p1
%patch3 -p1
%patch8 -p1

%build
# make CFLAGS="$RPM_OPT_FLAGS" RPMPKG="%{version}-%{release}" %{?jobs:-j%jobs}
make RPMPKG="%{version}-%{release}" %{?jobs:-j%jobs}

%install
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_mandir}/man8
cp crash.8 %{buildroot}%{_mandir}/man8/crash.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/crash
%{_mandir}/man8/crash.8*
%doc README

%changelog -n crash
* Thu Jun 01 2006 - tiwai@suse.de
- Add a warning message when /proc/version doesn't match
  (#169708)
- Don't remove build-root at install
* Tue Apr 18 2006 - mason@suse.de
- Update to crash 4.0-2.23
  Fix kmem -s (bug 159651)
  More xen support
* Mon Mar 27 2006 - olh@suse.de
- Update to crash 4.0-2.22
  some xen support
* Wed Mar 22 2006 - olh@suse.de
- update sparsemem patch for all archs
* Tue Mar 21 2006 - olh@suse.de
- apply sparsemem patch only on ppc64 for the time being
* Mon Mar 20 2006 - olh@suse.de
- add sparsemem support (149714 - LTC21350)
* Mon Mar 13 2006 - olh@suse.de
- more ppc64, handle NR_CPUS mismatch
* Sun Mar 12 2006 - olh@suse.de
- more ppc64, handle poisoned per_cpu data
* Wed Mar 01 2006 - olh@suse.de
- more ppc64, but still not there
  build as non-root, build faster
* Wed Mar 01 2006 - olh@suse.de
- some ppc64 updates (149714 - LTC21350)
* Sat Feb 11 2006 - mason@suse.de
- Update to crash 4.0-2.20 (better fix for x86-64 cpu pda structs)
* Mon Jan 30 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 30 2006 - mason@suse.de
- Update for new x86-64 cpu pda structs
* Mon Jan 16 2006 - mason@suse.de
- Fix %%setup
* Mon Jan 16 2006 - kukuk@suse.de
- Fix %%setup
* Mon Jan 09 2006 - mason@suse.de
- fix build errors on s390
* Mon Jan 09 2006 - mason@suse.de
- update va_server.c to build on ia64
